# XQDebugCallback Class Reference

`#include <XQDebugCallback.hpp>`

List of all members.

## Public Member Functions

virtual | ~XQDebugCallback ()
virtual void | IsBreakPointHit (DynamicContext *context, const XMLCh *file, unsigned int nLine)=0
virtual void | EnterFunction (DynamicContext *context, const XMLCh *file, const XMLCh *fnName, unsigned int nLine, unsigned int nColumn)=0
virtual void | ExitFunction (DynamicContext *context, const XMLCh *fnName)=0
virtual void | ReportClonedNode (DynamicContext *context, const xercesc::DOMNode *original, const xercesc::DOMNode *clone)=0
virtual void | ReportResult (DynamicContext *context, const XMLCh *file, unsigned int nLine, unsigned int nColumn, Sequence &result)=0
virtual void | ReportFirstError (DynamicContext *context, const XMLCh *error, const XMLCh *file, unsigned int nLine)=0
virtual void | NotifyQueryBegin (DynamicContext *context, const XMLCh *query)=0
virtual void | NotifyQueryEnd (DynamicContext *context, Sequence &result)=0

## Constructor & Destructor Documentation

virtual XQDebugCallback::~XQDebugCallback | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual void XQDebugCallback::EnterFunction | ( | DynamicContext * | context,
|  | const XMLCh * | file,
|  | const XMLCh * | fnName,
|  | unsigned int | nLine,
|  | unsigned int | nColumn
| ) | `[pure virtual]`

virtual void XQDebugCallback::ExitFunction | ( | DynamicContext * | context,
|  | const XMLCh * | fnName
| ) | `[pure virtual]`

virtual void XQDebugCallback::IsBreakPointHit | ( | DynamicContext * | context,
|  | const XMLCh * | file,
|  | unsigned int | nLine
| ) | `[pure virtual]`

virtual void XQDebugCallback::NotifyQueryBegin | ( | DynamicContext * | context,
|  | const XMLCh * | query
| ) | `[pure virtual]`

virtual void XQDebugCallback::NotifyQueryEnd | ( | DynamicContext * | context,
|  | Sequence & | result
| ) | `[pure virtual]`

virtual void XQDebugCallback::ReportClonedNode | ( | DynamicContext * | context,
|  | const xercesc::DOMNode * | original,
|  | const xercesc::DOMNode * | clone
| ) | `[pure virtual]`

virtual void XQDebugCallback::ReportFirstError | ( | DynamicContext * | context,
|  | const XMLCh * | error,
|  | const XMLCh * | file,
|  | unsigned int | nLine
| ) | `[pure virtual]`

virtual void XQDebugCallback::ReportResult | ( | DynamicContext * | context,
|  | const XMLCh * | file,
|  | unsigned int | nLine,
|  | unsigned int | nColumn,
|  | Sequence & | result
| ) | `[pure virtual]`

The documentation for this class was generated from the following file:

- XQDebugCallback.hpp